# include <math.h>
# include <stdio.h>

int fcount = 0;
double f(double x)
{
	fcount++;
       return exp(x)+x-5;
}

double getRoot(double a,double b,int &status)
{
    double x= (a+b)/2;
    const int imax=200;
    int it = 0;
    while(it<imax)
    {

        if(fabs(f(x))<1e-8) {
            status =1;
            return x;
        }
        else if (f(a)*f(x)<0)
        {
            b =x;
            x = (a+b)/2;
        }
        else
        {
            a=x;
            x=(a+b)/2;
        }
        //for gnuplot
        //plot command: plot 'file' u 1 w l, 'file' u 2 w l, 'file' u 3 w l
        printf("%lf %lf %lf\n",a,b,f(x));
        it++;
    }
    status=0;
    return -1;
}

int main()
{
    double a= 1;
    double b=  4;
    int status =1;
    double x = getRoot(a,b,status);
    return 0;
}
