#include "complex.h"

Complex::Complex()
{
    setRealPart(0.0);
    setImagePart(0.0);
}

Complex::Complex(double r,double i)
{
    setRealPart(r);
    setImagePart(i);
}

void    Complex::setRealPart(double r)
{
    realPart = r;
}

void    Complex::setImagePart(double i)
{
    imagePart = i;
}

double  Complex::getRealPart() const
{
    return realPart;
}

double  Complex::getImagePart() const
{
    return imagePart;
}

void    Complex::printComplex()
{
    if(imagePart>=0)
        printf("%lf+%lf*i\n",realPart,imagePart);
    else
        printf("%lf%lf*i\n",realPart,imagePart);

}

Complex::~Complex()
{

}
