# include <stdio.h>

void printFloatSum(int iters)
{
    float alpha = 1e-12;
    float one  = 1.0;

    float sum = 0.0;
    for(int i=1;i<=iters;i++)
    {
         sum+=one+alpha;
    }
    printf("Float Sum%30.20f\n",sum);
}

void printDoubleSum(int iters)
{

    double alpha = 1e-12;
    double one  = 1.0;

    double sum = 0.0;
    for(int i=1;i<=iters;i++)
    {
         sum+=one+alpha;
    }
    printf("Double Sum%30.20lf\n",sum);
}

void printLongDoubleSum(int iters)
{

    long double alpha = 1e-12;
    long double one  = 1.0;

    long double sum = 0.0;
    for(int i=1;i<=iters;i++)
    {
         sum+=one+alpha;
    }
    printf("Long Double Sum%30.20Lf\n",sum);
}


int main()
{
    printFloatSum(1000);
    printDoubleSum(1000);
    printLongDoubleSum(1000);
    return 0;
}
